gtkmm 2.4: Gtk::Calendar Class Reference

Main Page Widgets Namespaces Book

# Gtk::Calendar Class Reference
[Widgets]

Inheritance diagram for Gtk::Calendar:

[legend]
List of all members.

## Detailed Description

Display a calendar and/or allow the user to select a date.

This is a widget that displays a calendar, one month at a time.

The month and year currently displayed can be altered with select_month(). The exact day can be selected from the displayed month using select_day().

The way in which the calendar itself is displayed can be altered using set_display_options().

The selected date can be retrieved from a GtkCalendar using get_date().

If performing many 'mark' operations, the calendar can be frozen to prevent flicker, using freeze(), and 'thawed' again using thaw().

## Public Member Functions
| Calendar ()
void | clear_marks ()
void | display_options (CalendarDisplayOptions flags)
void | freeze ()
void | get_date (guint& year, guint& month, guint& day) const
CalendarDisplayOptions | get_display_options () const
| Returns the current display options of calendar .
const GtkCalendar* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCalendar* | gobj ()
| Provides access to the underlying C GtkObject.
int | mark_day (guint day)
void | select_day (guint day)
int | select_month (guint month, guint year)
void | set_display_options (CalendarDisplayOptions flags)
| Sets display options (whether to display the heading and the month headings).
Glib::SignalProxy0<void> | signal_day_selected ()
Glib::SignalProxy0<void> | signal_day_selected_double_click ()
Glib::SignalProxy0<void> | signal_month_changed ()
Glib::SignalProxy0<void> | signal_next_month ()
Glib::SignalProxy0<void> | signal_next_year ()
Glib::SignalProxy0<void> | signal_prev_month ()
Glib::SignalProxy0<void> | signal_prev_year ()
void | thaw ()
int | unmark_day (guint day)
virtual | ~Calendar ()
## Protected Member Functions
virtual void | on_day_selected ()
virtual void | on_day_selected_double_click ()
virtual void | on_month_changed ()
virtual void | on_next_month ()
virtual void | on_next_year ()
virtual void | on_prev_month ()
virtual void | on_prev_year ()
## Related Functions
(Note that these are not member functions.)
Gtk::Calendar* | wrap (GtkCalendar* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Calendar::~Calendar | ( |  | ) | `[virtual]`

Gtk::Calendar::Calendar | ( |  | ) |

## Member Function Documentation

void Gtk::Calendar::clear_marks | ( |  | ) |

void Gtk::Calendar::display_options | ( | CalendarDisplayOptions | flags | ) |

void Gtk::Calendar::freeze | ( |  | ) |

void Gtk::Calendar::get_date | ( | guint& | year,
|  | guint& | month,
|  | guint& | day
| ) | const

CalendarDisplayOptions Gtk::Calendar::get_display_options | ( |  | ) | const

| Returns the current display options of calendar . Returns: The display options. Since: 2.4.

const GtkCalendar* Gtk::Calendar::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget.

GtkCalendar* Gtk::Calendar::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget.

int Gtk::Calendar::mark_day | ( | guint | day | ) |

virtual void Gtk::Calendar::on_day_selected | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Calendar::on_day_selected_double_click | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Calendar::on_month_changed | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Calendar::on_next_month | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Calendar::on_next_year | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Calendar::on_prev_month | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Calendar::on_prev_year | ( |  | ) | `[protected, virtual]`

void Gtk::Calendar::select_day | ( | guint | day | ) |

int Gtk::Calendar::select_month | ( | guint | month,
|  | guint | year
| ) |

void Gtk::Calendar::set_display_options | ( | CalendarDisplayOptions | flags | ) |

  | Sets display options (whether to display the heading and the month headings). Since: 2.4 Parameters:
  | flags | The display options to set.

Glib::SignalProxy0<void> Gtk::Calendar::signal_day_selected | ( |  | ) |

Glib::SignalProxy0<void> Gtk::Calendar::signal_day_selected_double_click | ( |  | ) |

Glib::SignalProxy0<void> Gtk::Calendar::signal_month_changed | ( |  | ) |

Glib::SignalProxy0<void> Gtk::Calendar::signal_next_month | ( |  | ) |

Glib::SignalProxy0<void> Gtk::Calendar::signal_next_year | ( |  | ) |

Glib::SignalProxy0<void> Gtk::Calendar::signal_prev_month | ( |  | ) |

Glib::SignalProxy0<void> Gtk::Calendar::signal_prev_year | ( |  | ) |

void Gtk::Calendar::thaw | ( |  | ) |

int Gtk::Calendar::unmark_day | ( | guint | day | ) |

## Friends And Related Function Documentation

Gtk::Calendar* wrap | ( | GtkCalendar* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- calendar.h